io.agora.rtc

## Enum Constants.TMixMode

- java.lang.Object
- - java.lang.Enum<Constants.TMixMode>
  - - io.agora.rtc.Constants.TMixMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.TMixMode>
  Enclosing class:
    Constants

      public static enum Constants.TMixMode
      extends java.lang.Enum<Constants.TMixMode>

  The audio mixing mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MIX_DISABLED` Do not mix the local audio tracks in the channel.
    `MIX_ENABLED` Mix all the local audio tracks in the channel.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the mix mode

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.TMixMode type)` Gets the integer value of the mix mode.
    `static Constants.TMixMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.TMixMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIX_ENABLED

          public static final Constants.TMixMode MIX_ENABLED

      Mix all the local audio tracks in the channel.

    - #### MIX_DISABLED

          public static final Constants.TMixMode MIX_DISABLED

      Do not mix the local audio tracks in the channel.

  - ### Field Detail

    - #### value

          public int value

      Integer value of the mix mode

  - ### Method Detail

    - #### values

          public static Constants.TMixMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.TMixMode c : Constants.TMixMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.TMixMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.TMixMode type)

      Gets the integer value of the mix mode.
      Parameters:
        `type` - Mix mode
      Returns:
        The integer value